package com.b_noble.n_life.event;

public enum CmdTypeEnum {

	/**
	 * GA
	 */
	GA(0X00),
	
	/**
	 * Ir
	 */
	IR(0X03),
	
	/**
	 * WIFI
	 */
	WIFI(0X04);
	
	private int v;
	
	private CmdTypeEnum(int v) {

        this.v = v;
    }

    public int getVal() {
        return v;
    }

    public static CmdTypeEnum valuesOf(int e) {
    	CmdTypeEnum[] vs = CmdTypeEnum.values();
        if (vs == null || vs.length == 0) {
            return null;
        }
        for (CmdTypeEnum event : vs) {
            if (event.getVal() == e) {
                return event;
            }
        }
        return null;
    }
}
