package com.b_noble.n_life.event;

public enum IrDevTpyeEnum {

	/**
	 * 温度
	 */
	TEMPERATURE(0X0A),
	
	HUMIDITY(0x0B),
	
	LIGHT_SENSITIVE(0x0c),
	
	PIR(0x0d),
	
	LIGHT(0x0e),
	
	AIR_CONDITIONER(0x02),
	
	TV(0x03),
	
	TV_BOX(0x04),
	
	FAN(0x05),
	
	SOUND_SYSTEM(0x06),
	
	PROJECTOR(0x07),
	
	SETTOP_BOX(0x08),
	
	CUSTOM_REMOTE_CONTROL(0x09), 
	
	CAMERA(0x10),
	
	DVD(0x20),
	
	AIR_PURIFIER(0x30)
	;
	
	private int v;
	
	private IrDevTpyeEnum(int v) {

        this.v = v;
    }

    public int getVal() {
        return v;
    }

    public static IrDevTpyeEnum valuesOf(int e) {
    	IrDevTpyeEnum[] vs = IrDevTpyeEnum.values();
        if (vs == null || vs.length == 0) {
            return null;
        }
        for (IrDevTpyeEnum event : vs) {
            if (event.getVal() == e) {
                return event;
            }
        }
        return null;
    }
}
