package com.b_noble.n_life.info;

import java.io.Serializable;
import java.util.Arrays;

import com.b_noble.n_life.utils.Test16Binary;

public class BindDeviceInfo implements Serializable{

	private byte[] srcUid;
	
	private byte[] destUid;

	public byte[] getSrcUid() {
		return srcUid;
	}

	public void setSrcUid(byte[] srcUid) {
		this.srcUid = srcUid;
	}

	public byte[] getDestUid() {
		return destUid;
	}

	public void setDestUid(byte[] destUid) {
		this.destUid = destUid;
	}


	public BindDeviceInfo() {
		super();
	}

	public BindDeviceInfo(byte[] srcUid, byte[] destUid) {
		super();
		this.srcUid = srcUid;
		this.destUid = destUid;
	}

	@Override
	public String toString() {
		return "BindDeviceInfo [srcUid=" +Test16Binary.bytes2hex03(srcUid) + ", destUid=" + Test16Binary.bytes2hex03(destUid) + "]";
	}
	
	
	
}
