package com.b_noble.n_life.info;

import java.io.Serializable;
import java.util.Arrays;

/**
 * 门锁用户实体
 * @author zhangfan
 *
 */
public class DoorlockUser implements Serializable{

	private byte[] uid;
	
	private int userType; //0x00- card user,  0x01-password user
	
	private int userPermission; //0x00- ordinary users,	   0x01- manage user

	private byte[] effectiveTime; //eg:"2017-01-17 18:00:00"~"2017-01-18 11:30:30" effectiveTime fill decimal content : 17 01 17 18 00 00 17 01 18 11 30 30

	private int valueLength; 
	
	private String value; // card number or password, the minmum string is 6 bytes
	
	private String username;
	
	private String createTime;
	
	private int userid;
	
	private byte src;
	
	public int getUserid() {
		return userid;
	}

	public void setUserid(int userid) {
		this.userid = userid;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getCreateTime() {
		return createTime;
	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	public byte[] getUid() {
		return uid;
	}

	public void setUid(byte[] uid) {
		this.uid = uid;
	}

	public int getUserType() {
		return userType;
	}

	public void setUserType(int userType) {
		this.userType = userType;
	}

	public int getUserPermission() {
		return userPermission;
	}

	public void setUserPermission(int userPermission) {
		this.userPermission = userPermission;
	}

	public byte[] getEffectiveTime() {
		return effectiveTime;
	}

	public void setEffectiveTime(byte[] effectiveTime) {
		this.effectiveTime = effectiveTime;
	}

	public int getValueLength() {
		return valueLength;
	}

	public void setValueLength(int valueLength) {
		this.valueLength = valueLength;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public byte getSrc() {
		return src;
	}

	public void setSrc(byte src) {
		this.src = src;
	}

	public DoorlockUser(byte[] uid, int userType, int userPermission, byte[] effectiveTime, int valueLength,
			String value) {
		super();
		this.uid = uid;
		this.userType = userType;
		this.userPermission = userPermission;
		this.effectiveTime = effectiveTime;
		this.valueLength = valueLength;
		this.value = value;
	}

	public DoorlockUser() {
		super();
	}

	@Override
	public String toString() {
		return "DoorlockUser [uid=" + Arrays.toString(uid) + ", userType=" + userType + ", userPermission="
				+ userPermission + ", effectiveTime=" + Arrays.toString(effectiveTime) + ", valueLength=" + valueLength
				+ ", value=" + value + ", username=" + username + ", createTime=" + createTime + ", userid=" + userid
				+ "]"+username;
	}
	
}
