package com.b_noble.n_life.info;

import java.io.Serializable;
import java.util.Arrays;

public class IrLinkageInfo implements Serializable{

	// 任务id
    private short taskId;
    // 任务名
    private String taskName;
    //linkageType
    private int linkageType;
    
    private byte[] sourceIrid;
    
    private byte[] linkageIrid;
    
    private int ruleMin;
    
    private int ruleMax;
    
    private int ruleVal;
    
    private IrTaskCmdInfo irTaskCmdInfo;
    
    private String infraredcode;

	public short getTaskId() {
		return taskId;
	}

	public void setTaskId(short taskId) {
		this.taskId = taskId;
	}

	public String getTaskName() {
		return taskName;
	}

	public void setTaskName(String taskName) {
		this.taskName = taskName;
	}

	public int getLinkageType() {
		return linkageType;
	}

	public void setLinkageType(int linkageType) {
		this.linkageType = linkageType;
	}

	public byte[] getSourceIrid() {
		return sourceIrid;
	}

	public void setSourceIrid(byte[] sourceIrid) {
		this.sourceIrid = sourceIrid;
	}

	public byte[] getLinkageIrid() {
		return linkageIrid;
	}

	public void setLinkageIrid(byte[] linkageIrid) {
		this.linkageIrid = linkageIrid;
	}

	public int getRuleMin() {
		return ruleMin;
	}

	public void setRuleMin(int ruleMin) {
		this.ruleMin = ruleMin;
	}

	public int getRuleMax() {
		return ruleMax;
	}

	public void setRuleMax(int ruleMax) {
		this.ruleMax = ruleMax;
	}

	public int getRuleVal() {
		return ruleVal;
	}

	public void setRuleVal(int ruleVal) {
		this.ruleVal = ruleVal;
	}

	public IrTaskCmdInfo getIrTaskCmdInfo() {
		return irTaskCmdInfo;
	}

	public void setIrTaskCmdInfo(IrTaskCmdInfo irTaskCmdInfo) {
		this.irTaskCmdInfo = irTaskCmdInfo;
	}

	public String getInfraredcode() {
		return infraredcode;
	}

	public void setInfraredcode(String infraredcode) {
		this.infraredcode = infraredcode;
	}

	public IrLinkageInfo(short taskId, String taskName, int linkageType, byte[] sourceIrid, byte[] linkageIrid,
			int ruleMin, int ruleMax, IrTaskCmdInfo irTaskCmdInfo) {
		super();
		this.taskId = taskId;
		this.taskName = taskName;
		this.linkageType = linkageType;
		this.sourceIrid = sourceIrid;
		this.linkageIrid = linkageIrid;
		this.ruleMin = ruleMin;
		this.ruleMax = ruleMax;
		this.irTaskCmdInfo = irTaskCmdInfo;
	}

	public IrLinkageInfo(short taskId, String taskName, int linkageType, byte[] sourceIrid, byte[] linkageIrid,
			int ruleMin, int ruleMax, String infraredcode) {
		super();
		this.taskId = taskId;
		this.taskName = taskName;
		this.linkageType = linkageType;
		this.sourceIrid = sourceIrid;
		this.linkageIrid = linkageIrid;
		this.ruleMin = ruleMin;
		this.ruleMax = ruleMax;
		this.infraredcode = infraredcode;
	}

	public IrLinkageInfo() {
		super();
	}

	public IrLinkageInfo(short taskId, String taskName, int linkageType, byte[] sourceIrid, byte[] linkageIrid,
			int ruleVal, IrTaskCmdInfo irTaskCmdInfo) {
		super();
		this.taskId = taskId;
		this.taskName = taskName;
		this.linkageType = linkageType;
		this.sourceIrid = sourceIrid;
		this.linkageIrid = linkageIrid;
		this.ruleVal = ruleVal;
		this.irTaskCmdInfo = irTaskCmdInfo;
	}

	public IrLinkageInfo(short taskId, String taskName, int linkageType, byte[] sourceIrid, byte[] linkageIrid,
			int ruleVal, String infraredcode) {
		super();
		this.taskId = taskId;
		this.taskName = taskName;
		this.linkageType = linkageType;
		this.sourceIrid = sourceIrid;
		this.linkageIrid = linkageIrid;
		this.ruleVal = ruleVal;
		this.infraredcode = infraredcode;
	}

	@Override
	public String toString() {
		return "IrLinkageInfo [taskId=" + taskId + ", taskName=" + taskName + ", linkageType=" + linkageType
				+ ", sourceIrid=" + Arrays.toString(sourceIrid) + ", linkageIrid=" + Arrays.toString(linkageIrid)
				+ ", ruleMin=" + ruleMin + ", ruleMax=" + ruleMax + ", ruleVal=" + ruleVal + ", irTaskCmdInfo="
				+ irTaskCmdInfo + ", infraredcode=" + infraredcode + "]";
	}
    
	
    
}
