package com.b_noble.n_life.info;

import java.io.Serializable;
import java.util.Arrays;

public class IrTaskCmdInfo implements Serializable{

	private byte ligthSwitch;
	
	private byte ligthMode;
	
	private byte ligthValue;
	
	private byte r;
	
	private byte b;
	
	private byte g;
	
	private byte[] ligthTime;
	
	private byte tbd;

	public byte getLigthSwitch() {
		return ligthSwitch;
	}

	public void setLigthSwitch(byte ligthSwitch) {
		this.ligthSwitch = ligthSwitch;
	}

	public byte getLigthMode() {
		return ligthMode;
	}

	public void setLigthMode(byte ligthMode) {
		this.ligthMode = ligthMode;
	}

	public byte getLigthValue() {
		return ligthValue;
	}

	public void setLigthValue(byte ligthValue) {
		this.ligthValue = ligthValue;
	}

	public byte getR() {
		return r;
	}

	public void setR(byte r) {
		this.r = r;
	}

	public byte getB() {
		return b;
	}

	public void setB(byte b) {
		this.b = b;
	}

	public byte getG() {
		return g;
	}

	public void setG(byte g) {
		this.g = g;
	}

	public byte[] getLigthTime() {
		return ligthTime;
	}

	public void setLigthTime(byte[] ligthTime) {
		this.ligthTime = ligthTime;
	}

	public byte getTbd() {
		return tbd;
	}

	public void setTbd(byte tbd) {
		this.tbd = tbd;
	}
	
	public static byte[] tobytes(IrTaskCmdInfo irTaskCmdInfo){
	
		byte[] result = new byte[9];
		result[0] = irTaskCmdInfo.getLigthSwitch();
		result[1] = irTaskCmdInfo.getLigthMode();
		result[2] = irTaskCmdInfo.getLigthValue();
		result[3] = irTaskCmdInfo.getR();
		result[4] = irTaskCmdInfo.getB();
		result[5] = irTaskCmdInfo.getG();
		result[6] = irTaskCmdInfo.getLigthTime()[0];
		result[7] = irTaskCmdInfo.getLigthTime()[1];
		result[8] = irTaskCmdInfo.getTbd();
		return result;
		
	}

	public IrTaskCmdInfo(byte ligthSwitch, byte ligthMode, byte ligthValue, byte r, byte b, byte g, byte[] ligthTime,
			byte tbd) {
		super();
		this.ligthSwitch = ligthSwitch;
		this.ligthMode = ligthMode;
		this.ligthValue = ligthValue;
		this.r = r;
		this.b = b;
		this.g = g;
		this.ligthTime = ligthTime;
		this.tbd = tbd;
	}

	public IrTaskCmdInfo() {
		super();
	}

	@Override
	public String toString() {
		return "IrTaskCmdInfo [ligthSwitch=" + ligthSwitch + ", ligthMode=" + ligthMode + ", ligthValue=" + ligthValue
				+ ", r=" + r + ", b=" + b + ", g=" + g + ", ligthTime=" + Arrays.toString(ligthTime) + ", tbd=" + tbd
				+ "]";
	}
	
	
}
