package com.b_noble.n_life.info;

import java.io.Serializable;

public class K1RecordInfo implements Serializable{

	private Integer id; //记录id
	
	private Integer type; //事件类型 0-所有记录 1-开锁记录 2-异常记录
	
	private Integer code; //事件码事件码：开锁事件 0-密码1-网络2-指纹	3-卡	4-防挟持密码	异常事件 1-密码错误2-指纹错误3-暴力破坏4-常开报警5-钥匙非法开锁报警6-低电报警7-防挟持指纹
	
	private Integer state; //状态 异常报警状态 0-解除 1-未解除(仅适用于异常事件，开锁事件默认为 0)
	
	private String memberName; //成员名称
	
	private String dateTime; //时间
	
	private Integer angle = 0;
	
	private Integer knocking = 0;
	

	public Integer getKnocking() {
		return knocking;
	}

	public void setKnocking(Integer knocking) {
		this.knocking = knocking;
	}

	public Integer getAngle() {
		return angle;
	}

	public void setAngle(Integer angle) {
		this.angle = angle;
	}

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Integer getCode() {
		return code;
	}

	public void setCode(Integer code) {
		this.code = code;
	}

	public Integer getState() {
		return state;
	}

	public void setState(Integer state) {
		this.state = state;
	}

	public String getMemberName() {
		return memberName;
	}

	public void setMemberName(String memberName) {
		this.memberName = memberName;
	}

	public String getDateTime() {
		return dateTime;
	}

	public void setDateTime(String dateTime) {
		this.dateTime = dateTime;
	}

	@Override
	public String toString() {
		return "K1RecordInfo [id=" + id + ", type=" + type + ", code=" + code + ", state=" + state + ", memberName="
				+ memberName + ", dateTime=" + dateTime + ", angle=" + angle + ", knocking=" + knocking + "]";
	}

	

	
	
	
}
