package com.b_noble.n_life.info;

import java.io.Serializable;
import java.util.Arrays;

public class LinkageCondition implements Serializable{

	private byte[] uid;
	
	private int symbol; //运算符号  0:> 1:>= 2:== 3:<= 4:<
	
	private byte value;//触发联动的阈值
	
	private byte conditionType;
	
	private byte month;
	
	private byte day;
	
	private byte weekdays;
	
	private byte hour;
	
	private byte minute;

	public byte[] getUid() {
		return uid;
	}

	public void setUid(byte[] uid) {
		this.uid = uid;
	}

	public int getSymbol() {
		return symbol;
	}

	public void setSymbol(int symbol) {
		this.symbol = symbol;
	}

	public byte getValue() {
		return value;
	}

	public void setValue(byte value) {
		this.value = value;
	}

	public byte getConditionType() {
		return conditionType;
	}

	public void setConditionType(byte conditionType) {
		this.conditionType = conditionType;
	}

	public byte getMonth() {
		return month;
	}

	public void setMonth(byte month) {
		this.month = month;
	}

	public byte getDay() {
		return day;
	}

	public void setDay(byte day) {
		this.day = day;
	}

	public byte getWeekdays() {
		return weekdays;
	}

	public void setWeekdays(byte weekdays) {
		this.weekdays = weekdays;
	}

	public byte getHour() {
		return hour;
	}

	public void setHour(byte hour) {
		this.hour = hour;
	}

	public byte getMinute() {
		return minute;
	}

	public void setMinute(byte minute) {
		this.minute = minute;
	}

	public LinkageCondition(byte[] uid, int symbol, byte value, byte conditionType) {
		super();
		this.uid = uid;
		this.symbol = symbol;
		this.value = value;
		this.conditionType = conditionType;
	}

	public LinkageCondition(int symbol, byte conditionType, byte month, byte day, byte weekdays, byte hour,
			byte minute) {
		super();
		this.symbol = symbol;
		this.conditionType = conditionType;
		this.month = month;
		this.day = day;
		this.weekdays = weekdays;
		this.hour = hour;
		this.minute = minute;
	}

	@Override
	public String toString() {
		return "LinkageCondition [uid=" + Arrays.toString(uid) + ", symbol=" + symbol + ", value=" + value
				+ ", conditionType=" + conditionType + ", month=" + month + ", day=" + day + ", weekdays=" + weekdays
				+ ", hour=" + hour + ", minute=" + minute + "]";
	}
	
	
}
