package com.b_noble.n_life.info;

import java.io.Serializable;
import java.util.List;

public class LinkageInfo implements Serializable{

	private byte linkageType;
	
	private int linkageId;
	
	private String linkageName;
	
	private List<LinkageCondition> conditionList;
	
	private List<LinkageTask> taskList;
	
	private int status;

	public byte getLinkageType() {
		return linkageType;
	}

	public void setLinkageType(byte linkageType) {
		this.linkageType = linkageType;
	}

	public int getLinkageId() {
		return linkageId;
	}

	public void setLinkageId(int linkageId) {
		this.linkageId = linkageId;
	}

	public String getLinkageName() {
		return linkageName;
	}

	public void setLinkageName(String linkageName) {
		this.linkageName = linkageName;
	}

	public List<LinkageCondition> getConditionList() {
		return conditionList;
	}

	public void setConditionList(List<LinkageCondition> conditionList) {
		this.conditionList = conditionList;
	}

	public List<LinkageTask> getTaskList() {
		return taskList;
	}

	public void setTaskList(List<LinkageTask> taskList) {
		this.taskList = taskList;
	}

	
	public int getStatus() {
		return status;
	}

	public void setStatus(int status) {
		this.status = status;
	}

	public LinkageInfo() {
		super();
	}

	public LinkageInfo(byte linkageType, int linkageId, String linkageName, List<LinkageCondition> conditionList,
			List<LinkageTask> taskList, int status) {
		super();
		this.linkageType = linkageType;
		this.linkageId = linkageId;
		this.linkageName = linkageName;
		this.conditionList = conditionList;
		this.taskList = taskList;
		this.status = status;
	}

	@Override
	public String toString() {
		return "LinkageInfo [linkageType=" + linkageType + ", linkageId=" + linkageId + ", linkageName=" + linkageName
				+ ", conditionList=" + conditionList + ", taskList=" + taskList + ", status=" + status + "]";
	}

	
}
