package com.b_noble.n_life.info;

import java.io.Serializable;
import java.util.Arrays;

public class LinkageTask implements Serializable{

	private byte[] uid;
	
	private byte cmd;
	
	private byte value;
	
	private byte delay;
	
	private int sceneid;

	public byte[] getUid() {
		return uid;
	}

	public void setUid(byte[] uid) {
		this.uid = uid;
	}

	public byte getCmd() {
		return cmd;
	}

	public void setCmd(byte cmd) {
		this.cmd = cmd;
	}

	public byte getValue() {
		return value;
	}

	public void setValue(byte value) {
		this.value = value;
	}

	public byte getDelay() {
		return delay;
	}

	public void setDelay(byte delay) {
		this.delay = delay;
	}

	public int getSceneid() {
		return sceneid;
	}

	public void setSceneid(int sceneid) {
		this.sceneid = sceneid;
	}

	public LinkageTask(byte[] uid, byte cmd, byte value, byte delay) {
		super();
		this.uid = uid;
		this.cmd = cmd;
		this.value = value;
		this.delay = delay;
	}

	public LinkageTask(byte delay, int sceneid) {
		super();
		this.delay = delay;
		this.sceneid = sceneid;
	}

	@Override
	public String toString() {
		return "LinkageTask [uid=" + Arrays.toString(uid) + ", cmd=" + cmd + ", value=" + value + ", delay=" + delay
				+ ", sceneid=" + sceneid + "]";
	}
	
	
}
