package com.b_noble.n_life.info;

import java.io.Serializable;
import java.util.Arrays;
import java.util.List;

import com.b_noble.n_life.utils.Test16Binary;

public class ScenePanelInfo implements Serializable{

	private byte[] uid;
	
	private int taskType;
	
	private List<ScenePanelTask> taskList;

	public byte[] getUid() {
		return uid;
	}

	public void setUid(byte[] uid) {
		this.uid = uid;
	}

	public int getTaskType() {
		return taskType;
	}

	public void setTaskType(int taskType) {
		this.taskType = taskType;
	}

	public List<ScenePanelTask> getTaskList() {
		return taskList;
	}

	public void setTaskList(List<ScenePanelTask> taskList) {
		this.taskList = taskList;
	}

	public ScenePanelInfo(byte[] uid, int taskType, List<ScenePanelTask> taskList) {
		super();
		this.uid = uid;
		this.taskType = taskType;
		this.taskList = taskList;
	}

	public ScenePanelInfo() {
		super();
	}

	@Override
	public String toString() {
		return "ScenePanelInfo [uid=" + Test16Binary.bytes2hex03(uid) + ", taskType=" + taskType + ", taskList=" + taskList
				+ "]";
	}
	
	
}
