package com.b_noble.n_life.info;

import java.io.Serializable;
import java.util.Arrays;

/**
 * Created by zhangfan on 2017年9月18日.
 */
public class ThermostatConfigureInfo implements Serializable{

	private byte[] uid;
	
	private int switchState;
	
	private int mode;
	
	private int speed;
	
	private int temperature;

	public byte[] getUid() {
		return uid;
	}

	public void setUid(byte[] uid) {
		this.uid = uid;
	}

	public int getSwitchState() {
		return switchState;
	}

	public void setSwitchState(int switchState) {
		this.switchState = switchState;
	}

	public int getMode() {
		return mode;
	}

	public void setMode(int mode) {
		this.mode = mode;
	}

	public int getSpeed() {
		return speed;
	}

	public void setSpeed(int speed) {
		this.speed = speed;
	}

	public int getTemperature() {
		return temperature;
	}

	public void setTemperature(int temperature) {
		this.temperature = temperature;
	}

	public ThermostatConfigureInfo(byte[] uid, int switchState, int mode, int speed, int temperature) {
		super();
		this.uid = uid;
		this.switchState = switchState;
		this.mode = mode;
		this.speed = speed;
		this.temperature = temperature;
	}

	public ThermostatConfigureInfo() {
		super();
	}

	@Override
	public String toString() {
		return "ThermostatConfigureInfo [uid=" + Arrays.toString(uid) + ", switchState=" + switchState + ", mode="
				+ mode + ", speed=" + speed + ", temperature=" + temperature + "]";
	}
	
	
}
