package com.b_noble.n_life.info;

import java.io.Serializable;
import java.util.Arrays;

public class ThermostatRunStatusInfo implements Serializable{

	private byte[] uid;
	
	private int fault;
	
	private int switchState;
	
	private int mode;
	
	private int speed;
	
	private int temperature;

	public byte[] getUid() {
		return uid;
	}

	public void setUid(byte[] uid) {
		this.uid = uid;
	}

	public int getFault() {
		return fault;
	}

	public void setFault(int fault) {
		this.fault = fault;
	}

	public int getSwitchState() {
		return switchState;
	}

	public void setSwitchState(int switchState) {
		this.switchState = switchState;
	}

	public int getMode() {
		return mode;
	}

	public void setMode(int mode) {
		this.mode = mode;
	}

	public int getSpeed() {
		return speed;
	}

	public void setSpeed(int speed) {
		this.speed = speed;
	}

	public int getTemperature() {
		return temperature;
	}

	public void setTemperature(int temperature) {
		this.temperature = temperature;
	}

	public ThermostatRunStatusInfo(byte[] uid, int fault, int switchState, int mode, int speed, int temperature) {
		super();
		this.uid = uid;
		this.fault = fault;
		this.switchState = switchState;
		this.mode = mode;
		this.speed = speed;
		this.temperature = temperature;
	}

	public ThermostatRunStatusInfo() {
		super();
	}

	@Override
	public String toString() {
		return "ThermostatRunStatusInfo [uid=" + Arrays.toString(uid) + ", fault=" + fault + ", switchState="
				+ switchState + ", mode=" + mode + ", speed=" + speed + ", temperature=" + temperature + "]";
	}
	
	
}
