package com.b_noble.n_life.model;

/**
 * @公司：深圳市中泰智丰物联网科技有限公司
 * @项目：智能家居
 * @简述： 添加联动任务实体
 * @作者：zhangfan 
 * @date：2016-11-12 
 * @版本：V0.0.1
 */
public class RequestAddLinkageTask {

	private byte linkageType; //任务类型，1为设备联动任务，2为场景联动任务
	
	private String linkageName; //任务名称
	
	private byte[] uidSource;	//触发条件设备来源uid
	
	private byte devTpye; //设备类型
	
	private byte[] uidLinkage;	//联动设备uid
	
	private byte sceneId;	//联动场景id
	
	private byte ruleMin;	//最小触发值
	
	private byte ruleMax;	//最大触发值
	
	private byte ruleVal;	//当前触发值
	
	private byte[] tbd;		//tbd 

	public byte getLinkageType() {
		return linkageType;
	}

	public void setLinkageType(byte linkageType) {
		this.linkageType = linkageType;
	}

	public String getLinkageName() {
		return linkageName;
	}

	public void setLinkageName(String linkageName) {
		this.linkageName = linkageName;
	}

	public byte[] getUidSource() {
		return uidSource;
	}

	public void setUidSource(byte[] uidSource) {
		this.uidSource = uidSource;
	}

	public byte[] getUidLinkage() {
		return uidLinkage;
	}

	public void setUidLinkage(byte[] uidLinkage) {
		this.uidLinkage = uidLinkage;
	}

	public byte getSceneId() {
		return sceneId;
	}

	public void setSceneId(byte sceneId) {
		this.sceneId = sceneId;
	}

	public byte getRuleMin() {
		return ruleMin;
	}

	public void setRuleMin(byte ruleMin) {
		this.ruleMin = ruleMin;
	}

	public byte getRuleMax() {
		return ruleMax;
	}

	public void setRuleMax(byte ruleMax) {
		this.ruleMax = ruleMax;
	}

	public byte getRuleVal() {
		return ruleVal;
	}

	public void setRuleVal(byte ruleVal) {
		this.ruleVal = ruleVal;
	}

	public byte[] getTbd() {
		return tbd;
	}

	public void setTbd(byte[] tbd) {
		this.tbd = tbd;
	}

	public byte getDevTpye() {
		return devTpye;
	}

	public void setDevTpye(byte devTpye) {
		this.devTpye = devTpye;
	}
	
	
}
