package com.b_noble.n_life.model;

import java.util.List;

import com.b_noble.n_life.info.K1MemberInfo;

public class RequestK1DeviceData {

	private byte[] uid;
	
	private List<Integer> stypes;
	
	private String username;
	
	private K1MemberInfo memberInfo;
	
	private int memberId;
	
	private String memberName;
	
	private int keyType ;
	
	private String keyName;
	
	private String password;
	
	private Integer keyId;
	
	private Integer type;
	private Integer page;
	private Integer pageSize;
	private String startTime;
	private String endTime;
	
	private Integer recordId;
	
	private String number;
	
	private int version;
	
	public String getNumber() {
		return number;
	}

	public void setNumber(String number) {
		this.number = number;
	}

	public Integer getRecordId() {
		return recordId;
	}

	public void setRecordId(Integer recordId) {
		this.recordId = recordId;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public Integer getPage() {
		return page;
	}

	public void setPage(Integer page) {
		this.page = page;
	}

	public Integer getPageSize() {
		return pageSize;
	}

	public void setPageSize(Integer pageSize) {
		this.pageSize = pageSize;
	}

	public String getStartTime() {
		return startTime;
	}

	public void setStartTime(String startTime) {
		this.startTime = startTime;
	}

	public String getEndTime() {
		return endTime;
	}

	public void setEndTime(String endTime) {
		this.endTime = endTime;
	}

	public Integer getKeyId() {
		return keyId;
	}

	public void setKeyId(Integer keyId) {
		this.keyId = keyId;
	}

	public byte[] getUid() {
		return uid;
	}

	public void setUid(byte[] uid) {
		this.uid = uid;
	}

	public List<Integer> getStypes() {
		return stypes;
	}

	public void setStypes(List<Integer> stypes) {
		this.stypes = stypes;
	}

	
	
	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	
	public int getMemberId() {
		return memberId;
	}

	public void setMemberId(int memberId) {
		this.memberId = memberId;
	}

	
	public String getMemberName() {
		return memberName;
	}

	public void setMemberName(String memberName) {
		this.memberName = memberName;
	}

	
	public int getKeyType() {
		return keyType;
	}

	public void setKeyType(int keyType) {
		this.keyType = keyType;
	}

	public String getKeyName() {
		return keyName;
	}

	public void setKeyName(String keyName) {
		this.keyName = keyName;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public RequestK1DeviceData(byte[] uid, List<Integer> stypes) {
		super();
		this.uid = uid;
		this.stypes = stypes;
	}

	
	
	public int getVersion() {
		return version;
	}

	public void setVersion(int version) {
		this.version = version;
	}

	public K1MemberInfo getMemberInfo() {
		return memberInfo;
	}

	public void setMemberInfo(K1MemberInfo memberInfo) {
		this.memberInfo = memberInfo;
	}

	public RequestK1DeviceData() {
		super();
	}

	public RequestK1DeviceData(byte[] uid, String username) {
		super();
		this.uid = uid;
		this.username = username;
	}

	public RequestK1DeviceData(byte[] uid) {
		super();
		this.uid = uid;
	}
	
	
	
	
}
