package com.b_noble.n_life.model;

import java.util.List;

import com.b_noble.n_life.info.ScenePanelTask;

public class ScenePanelData {

	private byte[] keyUid;
	
	private byte taskType;
	
	private List<ScenePanelTask> taskList;
	
	private byte[] ieeeAddr;

	public byte[] getKeyUid() {
		return keyUid;
	}

	public void setKeyUid(byte[] keyUid) {
		this.keyUid = keyUid;
	}

	public byte getTaskType() {
		return taskType;
	}

	public void setTaskType(byte taskType) {
		this.taskType = taskType;
	}

	public List<ScenePanelTask> getTaskList() {
		return taskList;
	}

	public void setTaskList(List<ScenePanelTask> taskList) {
		this.taskList = taskList;
	}

	
	public byte[] getIeeeAddr() {
		return ieeeAddr;
	}

	public void setIeeeAddr(byte[] ieeeAddr) {
		this.ieeeAddr = ieeeAddr;
	}

	public ScenePanelData(byte[] keyUid, byte taskType, List<ScenePanelTask> taskList) {
		super();
		this.keyUid = keyUid;
		this.taskType = taskType;
		this.taskList = taskList;
	}

	public ScenePanelData() {
		super();
	}

	public ScenePanelData(byte[] keyUid) {
		super();
		this.keyUid = keyUid;
	}

	public ScenePanelData(byte[] keyUid, byte[] ieeeAddr) {
		super();
		this.keyUid = keyUid;
		this.ieeeAddr = ieeeAddr;
	}
	
	
	
}
