package com.b_noble.n_life.utils;

public class UidUtils {

	public static void main(String[] args) {
		byte[] uid = new byte[]{(byte)0xb3,(byte)0xff,0x08};
		
		
		byte[] uid10 = new byte[]{-77,-1,8};
		
		
		System.out.println(uidByteToInt(uid));
		System.out.println(uidByteToInt(uid10));
		
	}
	
	public static int uidByteToInt(byte[] uid){
		return Integer.parseInt(bytes2hex03(uid), 16);
		
	}
	
	
	public static String bytes2hex03(byte[] bytes) {
		final String HEX = "0123456789abcdef";
		StringBuilder sb = new StringBuilder(bytes.length * 2);
		int h = 0;
		for (byte b : bytes) {
			h++;
			// 取出这个字节的高4位，然后与0x0f与运算，得到一个0-15之间的数据，通过HEX.charAt(0-15)即为16进制数
			sb.append(HEX.charAt((b >> 4) & 0x0f));
			// 取出这个字节的低位，与0x0f与运算，得到一个0-15之间的数据，通过HEX.charAt(0-15)即为16进制数
			sb.append(HEX.charAt(b & 0x0f));
			
		}

		return sb.toString();
	}
	
	
}
