package com.b_noble.n_life.event;

public enum WifiControlTypeEnum {
	/**
	 * 获取遥控器信息
	 */
	GET_MODEL_INFORMATION(0x80),
	
	SET_WIFIMODULE_WIFINETWORK_INFORMATION(0x81),
	
	REQUEST_WIFIMODULE_WIFINETWORK_INFORMATION(0x82),
	
	UPGRADE_OR_RESET_WIFIMODULE(0x83),
	
	SWITCH_ONLINESTATE_OF_WIFIMODULE(0x84),
	
	GET_MODULE_ALL_DEVICE(0x85),
	
	REQUEST_WIFIMODULE_VERSION(0x86),
	
	REPORT_UPGRADE_STATUS(0x87),
	 
	SET_WIFIMODULE_INTOTHE_NETWORKMODE(0x88),
	
	SET_WIFI_DEVICE_SWITCHSTATE(0x8A),
	
	REQUIRE_WIFIDEVICE_SWITCHSTATE(0x8f),
	
	SET_WIFILIGHT_BRIGHTNESS(0x90),
	
	REQUIRE_WIFILIGHT_BRIGHTNESS(0x91),
	
	SET_WIFILIGHTHUE_OR_SATURATION(0x92),
	
	REQUIRE_WIFILIGHTHUE_OR_SATURATION(0x93),
	
	SET_WIFILIGHT_COLORTEMPERATURE(0x94),
	
	REQUIRE_WIFILIGHT_COLORTEMPERATURE(0x95),
	
	SET_WIFIELECTRICMOTOR_DIRECTION(0xa0),
	
	CONFIGURATION_WIFIELECTRIC_MOTOR(0xa1),
	
	QUERY_WIFIELECTRIC_MOTOR_CONFIGURATIONINFO(0xa2),
	
	QUERY_WIFIELECTRIC_MOTOR_STATUS(0xa3),
	
	OPEN_OR_CLOSE_WIFICURTAIN(0xa4),
	
	STOP_OPERATING_WIFICURTAIN(0xa5),
	
	QUERY_WIFICURTAIN_POSITION(0xa6),
	
	CURTAIN_STROKE_CONTROL(0xa7),
	
	DELETE_WIFI_STROKE(0xa8),
	
	ADD_TASK(0xb0),
	
	DELETE_TASK(0xb1),
	
	UPDATE_TASK(0xb2),
	
	 QUERY_DETAILS_TASKS(0xb3),
	 
	 QUERY_ALL_TASKS(0XB4),
;
	
	private int v;
	
	private WifiControlTypeEnum(int v) {

        this.v = v;
    }

    public int getVal() {
        return v;
    }

    public static WifiControlTypeEnum valuesOf(int e) {
    	WifiControlTypeEnum[] vs = WifiControlTypeEnum.values();
        if (vs == null || vs.length == 0) {
            return null;
        }
        for (WifiControlTypeEnum event : vs) {
            if (event.getVal() == e) {
                return event;
            }
        }
        return null;
    }
}
