package com.b_noble.n_life.info;

import java.io.Serializable;
import java.util.Arrays;

public class AlarmRecordsInfo implements Serializable{

	private int recordId;
	
	private byte[] srcUid;
	
	private String srcDevName;
	
	private int ruleSymbol;
	
	private int ruleValue;
	
	private String createTime;

	public int getRecordId() {
		return recordId;
	}

	public void setRecordId(int recordId) {
		this.recordId = recordId;
	}

	public byte[] getSrcUid() {
		return srcUid;
	}

	public void setSrcUid(byte[] srcUid) {
		this.srcUid = srcUid;
	}

	public String getSrcDevName() {
		return srcDevName;
	}

	public void setSrcDevName(String srcDevName) {
		this.srcDevName = srcDevName;
	}

	public int getRuleSymbol() {
		return ruleSymbol;
	}

	public void setRuleSymbol(int ruleSymbol) {
		this.ruleSymbol = ruleSymbol;
	}

	public int getRuleValue() {
		return ruleValue;
	}

	public void setRuleValue(int ruleValue) {
		this.ruleValue = ruleValue;
	}

	public String getCreateTime() {
		return createTime;
	}

	public void setCreateTime(String createTime) {
		this.createTime = createTime;
	}

	public AlarmRecordsInfo(int recordId, byte[] srcUid, String srcDevName, int ruleSymbol, int ruleValue,
			String createTime) {
		super();
		this.recordId = recordId;
		this.srcUid = srcUid;
		this.srcDevName = srcDevName;
		this.ruleSymbol = ruleSymbol;
		this.ruleValue = ruleValue;
		this.createTime = createTime;
	}

	public AlarmRecordsInfo() {
		super();
	}

	public AlarmRecordsInfo(int recordId, byte[] srcUid, String srcDevName, int ruleSymbol, int ruleValue) {
		super();
		this.recordId = recordId;
		this.srcUid = srcUid;
		this.srcDevName = srcDevName;
		this.ruleSymbol = ruleSymbol;
		this.ruleValue = ruleValue;
	}

	@Override
	public String toString() {
		return "AlarmRecordsInfo [recordId=" + recordId + ", srcUid=" + Arrays.toString(srcUid) + ", srcDevName="
				+ srcDevName + ", ruleSymbol=" + ruleSymbol + ", ruleValue=" + ruleValue + ", createTime=" + createTime
				+ "]";
	}
	
	
	
}
