package com.b_noble.n_life.info;

import java.io.Serializable;
import java.util.List;

import com.b_noble.n_life.utils.Test16Binary;

/**
 * @公司：深圳市中泰智丰物联网科技有限公司
 * @项目：智能家居
 * @简述：区域实体类
 * @作者：zhangfan 
 * @date：2016-11-14 
 * @版本：V0.0.1
 */
public class AreaInfo implements Serializable{

	private byte areaId;
	
	private String areaName;
	
	private List<DeviceInfo> infos;

	
	
	public AreaInfo(byte areaId, String areaName) {
		super();
		this.areaId = areaId;
		this.areaName = areaName;
	}

	public AreaInfo(byte areaId, String areaName, List<DeviceInfo> infos) {
		super();
		this.areaId = areaId;
		this.areaName = areaName;
		this.infos = infos;
	}

	public AreaInfo() {
		super();
	}

	public AreaInfo(String areaName, List<DeviceInfo> infos) {
		super();
		this.areaName = areaName;
		this.infos = infos;
	}

	public byte getAreaId() {
		return areaId;
	}

	public void setAreaId(byte areaId) {
		this.areaId = areaId;
	}

	public String getAreaName() {
		return areaName;
	}

	public void setAreaName(String areaName) {
		this.areaName = areaName;
	}

	public List<DeviceInfo> getInfos() {
		return infos;
	}

	public void setInfos(List<DeviceInfo> infos) {
		this.infos = infos;
	}

	@Override
	public String toString() {
		
		/*if (infos.size()>1) {
			for (int i = 0; i < infos.size(); i++) {
				System.out.println(Test16Binary.bytes2hex03(infos.get(i).getuId()));
			}
		}
		*/
		
		return "AreaInfo [areaId=" + areaId + ", areaName=" + areaName + ", infos="  + "]";
	}
	
	
	
}
