package com.b_noble.n_life.info;

import java.io.Serializable;
import java.util.Arrays;

/**
 * 门锁操作通知实体
 * @author Administrator
 *
 */
public class DoorlockNotification implements Serializable{

	private byte[] uid;
	
	private int userId; //操作用户id
	
	private int eventSource;//操作来源 0x00-Keypad,0x01-RF,0x02-Manualm,0x03-RFID
	
	private int event;//操作动作 0x00-unknown,0x01-lock,0x02-unlock,0x0A-auto lock

	public byte[] getUid() {
		return uid;
	}

	public void setUid(byte[] uid) {
		this.uid = uid;
	}

	public int getUserId() {
		return userId;
	}

	public void setUserId(int userId) {
		this.userId = userId;
	}

	public int getEventSource() {
		return eventSource;
	}

	public void setEventSource(int eventSource) {
		this.eventSource = eventSource;
	}

	public int getEvent() {
		return event;
	}

	public void setEvent(int event) {
		this.event = event;
	}

	public DoorlockNotification(byte[] uid, int userId, int eventSource, int event) {
		super();
		this.uid = uid;
		this.userId = userId;
		this.eventSource = eventSource;
		this.event = event;
	}

	public DoorlockNotification() {
		super();
	}

	@Override
	public String toString() {
		return "DoorlockNotification [uid=" + Arrays.toString(uid) + ", userId=" + userId + ", eventSource="
				+ eventSource + ", event=" + event + "]";
	}
	
	

}
