package com.b_noble.n_life.info;

import java.io.Serializable;
import java.util.Arrays;

public class IrDeviceInfo implements Serializable{

	
	private String sn;
	
	private int devtype;
	
	private byte[] irid;
	
	private String deviceName;
	
	private byte[] recentValue = new byte[]{0,0,0,0,0,0,0}; //查询列表时设备的最近上报值
	
	private int devkindsid;
	
	private String ircode;
	
	private short timeout;

	public int getDevtype() {
		return devtype;
	}

	public void setDevtype(int devtype) {
		this.devtype = devtype;
	}

	public byte[] getIrid() {
		return irid;
	}

	public void setIrid(byte[] irid) {
		this.irid = irid;
	}

	public String getDeviceName() {
		return deviceName;
	}

	public void setDeviceName(String deviceName) {
		this.deviceName = deviceName;
	}

	public byte[] getRecentValue() {
		return recentValue;
	}

	public void setRecentValue(byte[] recentValue) {
		this.recentValue = recentValue;
	}

	public int getDevkindsid() {
		return devkindsid;
	}

	public void setDevkindsid(int devkindsid) {
		this.devkindsid = devkindsid;
	}

	public String getIrcode() {
		return ircode;
	}

	public void setIrcode(String ircode) {
		this.ircode = ircode;
	}

	public String getSn() {
		return sn;
	}

	public void setSn(String sn) {
		this.sn = sn;
	}

	public IrDeviceInfo(int devtype, byte[] irid, String deviceName, byte[] recentValue) {
		super();
		this.devtype = devtype;
		this.irid = irid;
		this.deviceName = deviceName;
		this.recentValue = recentValue;
	}

	public IrDeviceInfo() {
		super();
	}


	public short getTimeout() {
		return timeout;
	}

	public void setTimeout(short timeout) {
		this.timeout = timeout;
	}

	@Override
	public String toString() {
		return "IrDeviceInfo [sn=" + sn + ", devtype=" + devtype + ", irid=" + Arrays.toString(irid) + ", deviceName="
				+ deviceName + ", recentValue=" + Arrays.toString(recentValue) + ", devkindsid=" + devkindsid
				+ ", ircode=" + ircode + ", timeout=" + timeout + "]";
	}


	
	
	
}
