package com.b_noble.n_life.info;

import java.io.Serializable;
import java.util.Arrays;

public class IrTaskInfo implements Serializable{

	// 任务id
    private short taskId;
    // 任务名
    private String taskName;
    //第一个动作类型
    private byte taskType;
    
    private byte[] irid;
    
    private TaskTimerAction taskTimerAction;
    
    private int state; 
    
    private byte key;
    
    private IrTaskCmdInfo irtaskCmdInfo;
    
    private String infraredcode;
    
    private int taskflag = 0;
    
	public int getTaskflag() {
		return taskflag;
	}

	public void setTaskflag(int taskflag) {
		this.taskflag = taskflag;
	}

	public String getInfraredcode() {
		return infraredcode;
	}

	public void setInfraredcode(String infraredcode) {
		this.infraredcode = infraredcode;
	}

	public byte getKey() {
		return key;
	}

	public void setKey(byte key) {
		this.key = key;
	}

	public int getState() {
		return state;
	}

	public void setState(int state) {
		this.state = state;
	}

	public short getTaskId() {
		return taskId;
	}

	public void setTaskId(short taskId) {
		this.taskId = taskId;
	}

	public String getTaskName() {
		return taskName;
	}

	public void setTaskName(String taskName) {
		this.taskName = taskName;
	}

	public byte getTaskType() {
		return taskType;
	}

	public void setTaskType(byte taskType) {
		this.taskType = taskType;
	}

	public byte[] getIrid() {
		return irid;
	}

	public void setIrid(byte[] irid) {
		this.irid = irid;
	}

	public TaskTimerAction getTaskTimerAction() {
		return taskTimerAction;
	}

	public void setTaskTimerAction(TaskTimerAction taskTimerAction) {
		this.taskTimerAction = taskTimerAction;
	}
	

	public IrTaskCmdInfo getIrtaskCmdInfo() {
		return irtaskCmdInfo;
	}

	public void setIrtaskCmdInfo(IrTaskCmdInfo irtaskCmdInfo) {
		this.irtaskCmdInfo = irtaskCmdInfo;
	}

	public IrTaskInfo(String taskName, byte taskType, byte[] irid, TaskTimerAction taskTimerAction) {
		super();
		this.taskName = taskName;
		this.taskType = taskType;
		this.irid = irid;
		this.taskTimerAction = taskTimerAction;
	}

	public IrTaskInfo() {
		super();
	}

	public IrTaskInfo(short taskId, String taskName, byte taskType, int state) {
		super();
		this.taskId = taskId;
		this.taskName = taskName;
		this.taskType = taskType;
		this.state = state;
	}
	
	

	public IrTaskInfo(String taskName, byte taskType, byte[] irid, TaskTimerAction taskTimerAction, int state, byte key,
			IrTaskCmdInfo irtaskCmdInfo) {
		super();
		this.taskName = taskName;
		this.taskType = taskType;
		this.irid = irid;
		this.taskTimerAction = taskTimerAction;
		this.state = state;
		this.key = key;
		this.irtaskCmdInfo = irtaskCmdInfo;
	}

	@Override
	public String toString() {
		return "IrTaskInfo [taskId=" + taskId + ", taskName=" + taskName + ", taskType=" + taskType + ", irid="
				+ Arrays.toString(irid) + ", taskTimerAction=" + taskTimerAction + ", state=" + state + ", key=" + key
				+ ", irtaskCmdInfo=" + irtaskCmdInfo.toString() + "]";
	}
    
    
}
