package com.b_noble.n_life.info;

import java.io.Serializable;
import java.util.Arrays;
import java.util.Map;

public class K1MemberDetailsInfo implements Serializable{

	private byte[] uid;
	
	private Integer membeId;  //成员id
	
	private Integer networkKeyId; //网络keyid
	
	private Integer passwordKeyId; //密码keyid
	
	private Integer antiHijackPasswordKeyId; //防劫持密码keyid
	
	private Integer antiHijackFingerprintKeyId; //防劫持指纹keyid
	
	private Map<Integer, String> fingerprints; //指纹列表

	public byte[] getUid() {
		return uid;
	}

	public void setUid(byte[] uid) {
		this.uid = uid;
	}

	public Integer getMembeId() {
		return membeId;
	}

	public void setMembeId(Integer membeId) {
		this.membeId = membeId;
	}

	public Integer getNetworkKeyId() {
		return networkKeyId;
	}

	public void setNetworkKeyId(Integer networkKeyId) {
		this.networkKeyId = networkKeyId;
	}

	public Integer getPasswordKeyId() {
		return passwordKeyId;
	}

	public void setPasswordKeyId(Integer passwordKeyId) {
		this.passwordKeyId = passwordKeyId;
	}

	public Integer getAntiHijackPasswordKeyId() {
		return antiHijackPasswordKeyId;
	}

	public void setAntiHijackPasswordKeyId(Integer antiHijackPasswordKeyId) {
		this.antiHijackPasswordKeyId = antiHijackPasswordKeyId;
	}

	public Integer getAntiHijackFingerprintKeyId() {
		return antiHijackFingerprintKeyId;
	}

	public void setAntiHijackFingerprintKeyId(Integer antiHijackFingerprintKeyId) {
		this.antiHijackFingerprintKeyId = antiHijackFingerprintKeyId;
	}

	public Map<Integer, String> getFingerprints() {
		return fingerprints;
	}

	public void setFingerprints(Map<Integer, String> fingerprints) {
		this.fingerprints = fingerprints;
	}

	@Override
	public String toString() {
		return "K1MemberDetailsInfo [uid=" + Arrays.toString(uid) + ", membeId=" + membeId + ", networkKeyId="
				+ networkKeyId + ", passwordKeyId=" + passwordKeyId + ", antiHijackPasswordKeyId="
				+ antiHijackPasswordKeyId + ", antiHijackFingerprintKeyId=" + antiHijackFingerprintKeyId
				+ ", fingerprints=" + fingerprints + "]";
	}
	
	
}
