package com.b_noble.n_life.info;

import java.io.Serializable;
/**
 * wifi模块信息实体
 * 公司：深圳市中泰智丰物联网科技有限公司
 * 项目：智能家居商城
 * 简述：
 * 作者：zhangfan
 * 时间：2017年7月8日
 * 版本：V0.0.1
 */
public class WifiModuleInformation implements Serializable{

	private String sn;
	
	private String username;
	
	private String password;
	
	private int totalDevices;
	
	private int totalGroups;
	
	private int totalTimers;
	
	private int totalScenes;
	
	private int totalTasks;

	public String getSn() {
		return sn;
	}

	public void setSn(String sn) {
		this.sn = sn;
	}

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}

	public String getPassword() {
		return password;
	}

	public void setPassword(String password) {
		this.password = password;
	}

	public int getTotalDevices() {
		return totalDevices;
	}

	public void setTotalDevices(int totalDevices) {
		this.totalDevices = totalDevices;
	}

	public int getTotalGroups() {
		return totalGroups;
	}

	public void setTotalGroups(int totalGroups) {
		this.totalGroups = totalGroups;
	}

	public int getTotalTimers() {
		return totalTimers;
	}

	public void setTotalTimers(int totalTimers) {
		this.totalTimers = totalTimers;
	}

	public int getTotalScenes() {
		return totalScenes;
	}

	public void setTotalScenes(int totalScenes) {
		this.totalScenes = totalScenes;
	}

	public int getTotalTasks() {
		return totalTasks;
	}

	public void setTotalTasks(int totalTasks) {
		this.totalTasks = totalTasks;
	}

	public WifiModuleInformation(String sn, String username, String password, int totalDevices, int totalGroups,
			int totalTimers, int totalScenes, int totalTasks) {
		super();
		this.sn = sn;
		this.username = username;
		this.password = password;
		this.totalDevices = totalDevices;
		this.totalGroups = totalGroups;
		this.totalTimers = totalTimers;
		this.totalScenes = totalScenes;
		this.totalTasks = totalTasks;
	}

	public WifiModuleInformation() {
		super();
	}
	
	
}
