package com.b_noble.n_life.model;

import java.util.List;

/**
 * @公司：深圳市中泰智丰物联网科技有限公司
 * @项目：智能家居
 * @简述： 添加区域实体
 * @作者：zhangfan 
 * @date：2016-11-12 
 * @版本：V0.0.1
 */
public class RequestAreaData {

	private int areaId;
	
	private String areaName;
	
	private int totals;
	
	private byte memberType;
	
	private List<byte[]> uids;
	
	private byte[] tbd;

	
	
	
	public int getAreaId() {
		return areaId;
	}

	public void setAreaId(int areaId) {
		this.areaId = areaId;
	}

	public String getAreaName() {
		return areaName;
	}

	public void setAreaName(String areaName) {
		this.areaName = areaName;
	}

	public int getTotals() {
		return totals;
	}

	public void setTotals(int totals) {
		this.totals = totals;
	}

	public byte getMemberType() {
		return memberType;
	}

	public void setMemberType(byte memberType) {
		this.memberType = memberType;
	}

	public List<byte[]> getUids() {
		return uids;
	}

	public void setUids(List<byte[]> uids) {
		this.uids = uids;
	}

	public byte[] getTbd() {
		return tbd;
	}

	public void setTbd(byte[] tbd) {
		this.tbd = tbd;
	}

	
	
	public RequestAreaData(int areaId) {
		super();
		this.areaId = areaId;
	}

	public RequestAreaData(String areaName, int totals, byte memberType, List<byte[]> uids) {
		super();
		this.areaName = areaName;
		this.totals = totals;
		this.memberType = memberType;
		this.uids = uids;
	}

	public RequestAreaData() {
		super();
	}
	
	
}
