package com.b_noble.n_life.test;

import java.io.IOException;
import java.net.DatagramPacket;
import java.net.InetAddress;
import java.net.MulticastSocket;

import com.b_noble.n_life.utils.Global;

public class TestUdp {

	
	public static void main(String[] args) {
		 Thread myThread1 = new UDPBroadCast("ZTZF_Gateway\r\n");
		 myThread1.start();
	}

	private static class UDPBroadCast extends Thread {
	    MulticastSocket sender = null;
	    DatagramPacket dataPacket = null;
	    InetAddress group = null;
	    byte[] data = new byte[1024];
	    public UDPBroadCast(String dataString) {
	        data = dataString.getBytes();
	    }
	    @Override
	    public void run() {
	        try {
	        	 
	        	sender = new MulticastSocket();
	            group = InetAddress.getByName("255.255.255.255");
	            dataPacket = new DatagramPacket(data,data.length,group,9188);
	           
	            sender.send(dataPacket);
	            
	            for (int i = 0; i < 100; i++) {
	            	DatagramPacket receive = new DatagramPacket(new byte[1024], 1024);
	 	            	sender.receive(receive);
	 	            String req = new String(receive.getData());
	 	            
	 	           try {
	 	  			Global.ips.put(receive.getAddress().toString(), req.split(":")[1]+"#"+req.split(":")[2]);
		 	  		} catch (Exception e) {
		 	  			Global.ips.put(receive.getAddress().toString(), req.split(":")[1]+"#1");
		 	  		}
	 	           
	 	           System.out.println(receive.getAddress().toString()+"----"+req);
	            }
	           
	            sender.close();

	        } catch(IOException e) {
	            e.printStackTrace();
	        } 
	    }
	}
}

