package com.b_noble.n_life.utils;


import java.io.UnsupportedEncodingException;
import java.security.InvalidAlgorithmParameterException;
import java.security.InvalidKeyException;
import java.security.NoSuchAlgorithmException;

import javax.crypto.BadPaddingException;
import javax.crypto.Cipher;
import javax.crypto.IllegalBlockSizeException;
import javax.crypto.NoSuchPaddingException;
import javax.crypto.spec.IvParameterSpec;
import javax.crypto.spec.SecretKeySpec;

//import com.sun.org.apache.xerces.internal.impl.dv.util.Base64;

/**
 * Created by Mr.xd on 2017/6/2.
 *
 */
public class SymmetricEncoder {

  public static final String AES = "37810f023d515cec";
  private static final String IV_STRING = "A-16-Byte-String";
  private static final String charset = "UTF-8";

  public static String aesEncryptString(String content, String key) {
    byte[] contentBytes = new byte[0];
    try {
      contentBytes = content.getBytes(charset);
    } catch (UnsupportedEncodingException e) {
      e.printStackTrace();
    }
    byte[] keyBytes = new byte[0];
    try {
      keyBytes = key.getBytes(charset);
    } catch (UnsupportedEncodingException e) {
      e.printStackTrace();
    }
    byte[] encryptedBytes = new byte[0];
    try {
      encryptedBytes = aesEncryptBytes(contentBytes, keyBytes);
    } catch (NoSuchAlgorithmException e) {
      e.printStackTrace();
    } catch (NoSuchPaddingException e) {
      e.printStackTrace();
    } catch (InvalidKeyException e) {
      e.printStackTrace();
    } catch (InvalidAlgorithmParameterException e) {
      e.printStackTrace();
    } catch (IllegalBlockSizeException e) {
      e.printStackTrace();
    } catch (BadPaddingException e) {
      e.printStackTrace();
    } catch (UnsupportedEncodingException e) {
      e.printStackTrace();
    }
    return Base64.encode(Base64.encode(encryptedBytes).getBytes());
  }

  public static String aesDecryptString(String content, String key) {
    try {
      byte[] encryptedBytes = Base64.decode(new String(Base64.decode(content)));
      byte[] keyBytes = key.getBytes(charset);
      byte[] decryptedBytes = aesDecryptBytes(encryptedBytes, keyBytes);
      return new String(decryptedBytes, charset);
    }catch (Exception e){
      e.printStackTrace();
      return "";
    }

  }

  public static byte[] aesEncryptBytes(byte[] contentBytes, byte[] keyBytes) throws NoSuchAlgorithmException, NoSuchPaddingException, InvalidKeyException, InvalidAlgorithmParameterException, IllegalBlockSizeException, BadPaddingException, UnsupportedEncodingException {
    return cipherOperation(contentBytes, keyBytes, Cipher.ENCRYPT_MODE);
  }

  public static byte[] aesDecryptBytes(byte[] contentBytes, byte[] keyBytes) throws NoSuchAlgorithmException, NoSuchPaddingException, InvalidKeyException, InvalidAlgorithmParameterException, IllegalBlockSizeException, BadPaddingException, UnsupportedEncodingException {
    return cipherOperation(contentBytes, keyBytes, Cipher.DECRYPT_MODE);
  }

  private static byte[] cipherOperation(byte[] contentBytes, byte[] keyBytes, int mode) throws UnsupportedEncodingException, NoSuchAlgorithmException, NoSuchPaddingException, InvalidKeyException, InvalidAlgorithmParameterException, IllegalBlockSizeException, BadPaddingException {
    SecretKeySpec secretKey = new SecretKeySpec(keyBytes, "AES");

    byte[] initParam = IV_STRING.getBytes(charset);
    IvParameterSpec ivParameterSpec = new IvParameterSpec(initParam);

    Cipher cipher = Cipher.getInstance("AES/CBC/PKCS5Padding");
    cipher.init(mode, secretKey, ivParameterSpec);

    return cipher.doFinal(contentBytes);
  }
}
